Package com.independentsoft.office.odf

# Class RangeReference

java.lang.Object
com.independentsoft.office.odf.RangeReference

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class RangeReference extends Object implements IParagraphContent
The Class RangeReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeReference()`
  Initializes a new instance of the RangeReference class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RangeReference`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RangeReference

    public RangeReference()
    Initializes a new instance of the RangeReference class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public RangeReference clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.